#include <Wire.h>
#include "Adafruit_DRV2605.h"

// Play all effects of Immersion Library on DRV2605(L)
// based on basic example of Adafruit DRV2605 library

// Comment following line for ERM support
#define USE_LRA 1

Adafruit_DRV2605 drv;

void setup() {
  Serial.begin(9600);
  Serial.println("DRV test");

  // Enable DRV2605
  pinMode(A1, OUTPUT);
  digitalWrite(A1, HIGH);
  
  drv.begin();
#ifdef USE_LRA
  drv.selectLibrary(6);
  drv.useLRA();
#elif
  drv.selectLibrary(1);
#endif

  // I2C trigger by sending 'go' command 
  // default, internal trigger when sending GO command
  drv.setMode(DRV2605_MODE_INTTRIG); 
}

uint8_t effect = 1;

void loop() {
  Serial.print("Effect #"); Serial.println(effect);

  // set the effect to play
  drv.setWaveform(0, effect);  // play effect 
  drv.setWaveform(1, 0);       // end waveform

  // play the effect!
  drv.go();

  // wait a bit
  delay(500);

  effect++;
  if (effect > 117) effect = 1;
}
